Sympa::Aliases::External(3Sympa)

NAME
Sympa::Aliases::External - Alias management: Updating aliases by external program

SYNOPSIS
  use Sympa::Aliases;

  my $aliases = Sympa::Aliases->new('/path/to/program',
      [ file => 'file' ] );
  # or,
  my $aliases = Sympa::Aliases->new('External',
      program => '/path/to/program', [ file => 'file' ] );

  $aliases->check('listname', 'domain');
  $aliases->add($list);
  $aliases->del($list);

DESCRIPTION
Sympa::Aliases::External manages list aliases using external program.

  Methods

check ( $listname, $domain )
    See Sympa::Aliases::CheckSMTP.

add ( $list )
del ( $list )
    Invokes program with command line arguments:

      /path/to/program add | del listname domain [ file ]

    If processing succeed, program should exit with status 0. Otherwise it may exit with non-zero status (see also "Constants").

  Constants
Exit status

ERR_CONFIG
    Configuration file has errors.

ERR_PARAMETER
    Incorrect call to program.

ERR_WRITE_ALIAS
    Unable to append to alias.

ERR_NEWALIASES
    Unable to run newaliases command.

ERR_READ_ALIAS
    Unable to read existing aliases.

ERR_CREATE_TEMP
    Could not create temporary file.

ERR_ALIAS_EXISTS
    Some of list aliases already exist.

ERR_LOCK
    Can not lock resource.

ERR_ALIASES_EMPTY
    The parser returned empty aliases.

SEE ALSO
Sympa::Aliases, Sympa::Aliases::CheckSMTP.

HISTORY
Sympa::Aliases::External module appeared on Sympa 6.2.23b.